import {
  getGoodsCollectionList
} from '~/services/usercenter/goods-collect/getGoodsCollectionList';


Page({
  page: {
    size: 10,
    num: 1,
  },
  /**
   * 页面的初始数据
   */
  data: {
    list: [],
    goodsListLoadStatus: 0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.init()
  },

  // 获取售后订单列表
  init(reset = false) {
    const params = {
      pageSize: this.page.size,
      pageNum: this.page.num,
    };
    this.setData({
      goodsListLoadStatus: 1,
    });
    return getGoodsCollectionList(params)
      .then((res) => {
        this.page.num++;
        let list = [];

        if (res && res.data && res.data.result) {
          this.setData({
            list: this.data.list.concat(res.data.result),
            goodsListLoadStatus: 0,
          });
        }

      }).catch((err) => {
        this.setData({
          goodsListLoadStatus: 3,
        });
        return Promise.reject(err);
      });
  },

  gotoGoodsDetail(e) {
    const {
      index
    } = e.detail;
    const {
      spuId
    } = this.data.list[index];
    wx.navigateTo({
      url: `/pages/goods/details/index?spuId=${spuId}`,
    });
  },

  onReachBottom() {
    if (this.data.goodsListLoadStatus === 0) {
      this.init();
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})